Bug 269510 - Default platform reports NB jars as standard libraries
Default platform reports NB jars as standard libraries
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Platform
Dev
PC Linux
: P2 (vote)
: Dev
Assigned To: Tomas Zezula
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-09 08:03 UTC by Svata Dedic
Modified: 2017-01-29 02:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2017-01-09 08:03:36 UTC
DefaultPlatform implementation ("the platform NB is running on") returns NB jars from its getStandardLibraries(). IMHO it should filter them out to provide view as similar as possible to a JavaPlatform for the same JDK instance set up explicitly in the IDE.
Comment 1 Tomas Zezula 2017-01-26 14:05:07 UTC
Fixed jet-main a9aa1802564e
Comment 2 Quality Engineering 2017-01-29 02:41:54 UTC
Integrated into 'main-silver', will be available in build *201701290002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/a9aa1802564e
User: Tomas Zezula <tzezula@netbeans.org>
Log: #269510:Default platform reports NB jars as standard libraries


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo